<androidx.coordinatorlayout.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rootCoordinator"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F7FB"
    tools:context=".ui.shop.search.searchResultFragment">
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:overScrollMode="never">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical">
            <!-- 标题和返回 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginTop="10dp"
                android:paddingEnd="16dp"
                android:gravity="center_vertical">
                <!-- 返回按钮 -->
                <FrameLayout
                    android:id="@+id/iv_close"
                    android:layout_width="46dp"
                    android:layout_height="46dp">

                    <ImageView
                        android:layout_width="13dp"
                        android:layout_height="13dp"
                        android:layout_gravity="center"
                        android:rotation="180"
                        android:scaleType="fitCenter"
                        android:src="@drawable/more_icons" />
                </FrameLayout>

                <!-- 搜索框 -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="36dp"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:paddingStart="10dp"
                    android:background="@drawable/search_input_bg"
                    android:orientation="horizontal">
                    <EditText
                        android:id="@+id/et_input"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:layout_gravity="center"
                        android:textSize="13sp"
                        android:background="@null"
                        android:hint="Themes" />

                    <TextView
                        android:id="@+id/tv_search"
                        android:layout_width="76dp"
                        android:layout_height="28dp"
                        android:layout_gravity="center"
                        android:text="Search"
                        android:gravity="center"
                        android:background="@drawable/my_keyboard_delete"
                        android:layout_marginEnd="4dp"
                        android:textColor="#FFFFFF"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>

            <!-- 搜索结果列表 -->
             <LinearLayout
                    android:id="@+id/layout_recommend_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingTop="10dp">
                    <!-- 卡片 -->
                     <androidx.cardview.widget.CardView
                        android:layout_width="170dp"
                        android:layout_height="wrap_content"
                        android:background="#F8F8F8"
                        app:cardCornerRadius="15dp"
                        app:cardUseCompatPadding="true">
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <ImageView
                                android:layout_width="match_parent"
                                android:layout_height="127dp"
                                android:scaleType="centerCrop"
                                android:src="@drawable/bg" />

                            <TextView
                                android:layout_width="130dp"
                                android:layout_height="20dp"
                                android:layout_marginTop="8dp"
                                android:layout_marginStart="6dp"
                                android:text="Dopamine"
                                android:textColor="#1B1F1A"
                                android:textSize="14sp"
                                android:textStyle="bold" />

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="23dp"
                                android:layout_marginStart="6dp"
                                android:layout_marginTop="8dp"
                                android:layout_marginBottom="12dp"
                                android:padding="4dp"
                                android:gravity="center"
                                android:background="@drawable/gold_coin_background_required"
                                android:orientation="horizontal">

                                <ImageView
                                    android:layout_width="17dp"
                                    android:layout_height="17dp"
                                    android:scaleType="centerCrop"
                                    android:src="@drawable/gold_coin" />

                                <TextView
                                    android:layout_width="17dp"
                                    android:layout_height="17dp"
                                    android:layout_marginStart="4dp"
                                    android:text="20"
                                    android:textColor="#02BEAC"
                                    android:textSize="14sp" />

                            </LinearLayout>
                        </LinearLayout>
                    </androidx.cardview.widget.CardView>
                    <!-- ········· -->
                </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.coordinatorlayout.widget.CoordinatorLayout>